#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define	pdir	Acme
%define	pnam	Damn
%include	/usr/lib/rpm/macros.perl
Summary:	Acme::Damn - 'Unbless' Perl objects
Summary(pl.UTF-8):	Acme::Damn - "odbłogosławianie" obiektów Perla
Name:		perl-Acme-Damn
Version:	0.06
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	49967bcae23d97ee8db5eaa1bcca7d2d
URL:		http://search.cpan.org/dist/Acme-Damn/
BuildRequires:	perl-Test-Exception
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Acme::Damn provides a single routine, damn(), which takes a blessed
reference (a Perl object), and unblesses it, to return the original
reference. I can't think of any reason why you might want to do this,
but just because it's of no use doesn't mean that you shouldn't be
able to do it.

%description -l pl.UTF-8
Acme::Damn dostarcza jedną funkcję: damn(), która przyjmuje
pobłogosławioną referencję (obiekt perlowy) i odbłogosławia ją, aby
zwrócić oryginalną referencję. Nie znaleziono na razie powodu, żeby to
robić, ale to, że takie działanie nie ma zastosowania, nie znaczy, że
nie powinno dać się tego zrobić.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Acme
%{perl_vendorarch}/Acme/*.pm
%dir %{perl_vendorarch}/auto/Acme
%dir %{perl_vendorarch}/auto/Acme/Damn
%attr(755,root,root) %{perl_vendorarch}/auto/Acme/Damn/*.so
%{_mandir}/man3/*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Acme-Damn.git;a=log;h=master

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 87f3789
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sat Jan 02 2016 Jan Rękorajski <baggins@pld-linux.org> 8532b8c
- up to 0.06

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> ad97982
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> f756a4f
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> c9e2fa9
- x32 rebuild
- release 6 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 0c0162d
- use generic url

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6c8380c
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> a09872d
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> f841445
- rebuild for perl 5.20
- release 4 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> cdec770
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ce96978
- release 2

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 567a14d
- updated to 0.04
- added BR perl-Test-Exception

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> 53aa0a3
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f5156e5
- rel 3

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> eb27d34
- missing dirs; rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> f111887
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 122e984
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e8e9c40
- converted to UTF-8

* Fri Apr 07 2006 Maciej Pijanka <agaran@pld-linux.org> 6585ece
- up to 0.03, rel1 builds here

* Wed Dec 01 2004 radek <radek@pld-linux.org> e7f9bc5
- standarized Source0 URL

